[General]

; Lines starting with a semicolon (;) are comments.
; Commented options show their default value - uncomment before changing.

;------------------------------------------------------------------------------
; Location of the fingerprint database. It must be a *local* path,
; for example, C:\NK-BIT\data\fpdata.neo, it can't be a network folder.
; Relative paths are searched within the path of the executable.
; If the file does not exist, it will be created.

BaseFile=..\data\FPData.neo
;BaseFile=FPData.neo

;------------------------------------------------------------------------------
; Change to 0 only if you want to disable all logging (not recommended).

Logging=1

;------------------------------------------------------------------------------
; If necessary, change the line below to indicate where log files are created.

LogFile=..\logs\NeokorosSrv.log
;LogFile=NeokorosSrv.log

;------------------------------------------------------------------------------
; Set to 1 to log each operation.

LogCommands=1

;------------------------------------------------------------------------------
; Set to 1 to log debugging information.

LogDebug=1

;------------------------------------------------------------------------------
; Cryptographic key for the fingerprint database.
; There is no default key (it is not "EXAMPLE").
; When set, the fingerprint database is encrypted with this key, and a copy or
; backup of the file cannot be used without providing the same key.
;
; Note: if you wish to change the encryption key of a database:
; * set OldBaseKey to the OLD encryption key (if it had a key)
; * set BaseKey to the NEW encryption key (or empty if you wish to decrypt)
; * after starting, the "OldBaseKey" option is deleted from the file
;
; Note: if you lose and forget the key, there is no recovery defined.
;
; Note: upon starting, this key is encrypted and saved here as BaseKey_cr.
; Even so, it is recommended that this file has no read permissions from the 
; network to have more security.

;BaseKey=EXAMPLE

;------------------------------------------------------------------------------
; Cryptographic key to read a previous fingerprint database.
; There is no key by default (it is not "EXAMPLE").
; When set, the fingerprint database is read using this key, and then it is 
; re-encrypted with BaseKey. After that, this option is DELETED from the file.

;OldBaseKey=EXAMPLE

;------------------------------------------------------------------------------
; Enrolls new samples automatically (learning).

;AutoEnrollment=1

;------------------------------------------------------------------------------
; Maximum number of auto-enrolled fingerprint samples for each person.

;AutoEnrollmentLimit=3

;------------------------------------------------------------------------------
; Minimum number of minutiae to accept in enrollment.

;MinMinutiaeCount=10

;------------------------------------------------------------------------------
; Port number. Do NOT change the default (5100) unless strictly necessary.
; When clients connect to the server, they will need to specify the port.

;Port=5100

;------------------------------------------------------------------------------
; Replication: sets this server to be a master (requires specific licensing)

;BeMaster=0

;------------------------------------------------------------------------------
; Replication: sets this server to be a slave and sets the address of the master
; (requires specific licensing)

MasterAddress=digital.proselfit.io

;------------------------------------------------------------------------------
; Key required for clients to connect. 
; Each client must provide the value of this key in the ServerKey property.
; There is no key by default (it is not "EXAMPLE").
;
; Note: upon starting, this key is encrypted and saved here as ServerKey_cr.
; Even so, it is recommended that this file has no read permissions from the 
; network to have more security.

;ServerKey=EXAMPLE

;------------------------------------------------------------------------------
; Minimum acceptable score to join fingerprints on enrollment.

;EnrollScore=100

;------------------------------------------------------------------------------
; Automatically enroll parallel templates in other formats
; Format: Algorithm1[,Algorithm2...]: a list of algorithm names, separated by 
; commas, each of them one of:
;   ZK
;   ANVIZ

;ParallelExtract=

;------------------------------------------------------------------------------
; Backup: destination folder for backup files (must be a LOCAL folder)

;BackupFolder=..\backup

;------------------------------------------------------------------------------
; Backup: times for backup
; The default is "00:00" (once at midnight).
; Format: 
;   <start_time>[-<end_time>][R<repetition_interval>],... or
;   hh[:mm][-hh[:mm]][Rhh[:mm]],...
; where:
;   hh = 00 to 23 (00 to 12 = AM, 13 to 23 = PM)
;   mm = 00 to 59, if :mm is omitted, defaults to :00
;   if end_time is provided, repetition_interval defaults to 01:00
;   if repetition_interval is provided, end_time defaults to 00:00
; Examples:
; every day at 02:00 AM and 01:00 PM: 
;   BackupTimes=02:00,13:00
;   BackupTimes=02,13
; from 09 AM to 05 PM, once every 30 minutes:
;   BackupTimes=09-17 R 00:30
; once at 01:00, then once at every hour from 09:30 to 18:00 (6:30 PM)
;   BackupTimes=01:00,09:30-18:30
; end of examples

;BackupTimes=00:00

;------------------------------------------------------------------------------
; Backup: number of backup files to keep in the backup folder (older files are
;         deleted after a successful backup)

;BackupKeep=7

;------------------------------------------------------------------------------
; FaceSrv: host name/IP of the facial recognition server (installed separately). 
;          If not present, facial recognition will not be available.

;FaceSrv=localhost